
Redmine - Feature #3825

Git repository via the git:// protocol

2009-09-05 00:51 - Chris Nicola

Status: Closed Start date: 2009-09-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Currently it is not possible to access git repositories via git:// urls.  This would be a handy feature to have if it is not too hard.

Related issues:

Related to Redmine - Feature #4457: Support for remote Git repositories via R... New 2009-12-21

Related to Redmine - Feature #2580: Remote git repositories Closed 2009-01-25

History

#1 - 2011-02-08 05:58 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine needs to run cat, diff, blame.

So, this feature is too hard.

#2 - 2011-02-08 06:04 - Toshi MARUYAMA

There is related issue #4457.

#3 - 2011-02-08 12:48 - Matthias Neubert

And what about smart git Protocol ? Or SSH?

http://progit.org/2010/03/04/smart-http.html

The suggested way is not that beauty

http://www.redmine.org/projects/redmine/wiki/HowTo_configure_Redmine_for_advanced_git_integration

may be redmine can find an integrated way to make this possible

Or if this is to much work, an ssh based access would be ok too, or may be even better

#4 - 2011-02-08 13:18 - Toshi MARUYAMA

"git://" is for clone, pull and push.

Subversion supports "svn cat svn://somewhere/file.txt", "svn list http//example.com/".

But git does not supports.

#5 - 2011-02-08 13:39 - Toshi MARUYAMA

There are other approaches.

https://github.com/koppen/redmine_github_hook

https://bitbucket.org/nolith/redmine-bitbucket
